{
  "name": "auth",
  "module": "auth",
  "action": "provider",
  "options": {
    "secret": "st8nJDgcHrnWbU5",
    "provider": "Database",
    "connection": "authdb",
    "passwordVerify": true,
    "users": {
      "table": "users",
      "identity": "id",
      "username": "email",
      "password": "pwd"
    },
    "permissions": {
      "Administrator": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "1"
          }
        ]
      },
      "Plant": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "2"
          }
        ]
      },
      "Engineering": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "3"
          }
        ]
      },
      "Associate": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "4"
          }
        ]
      },
      "Applications": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "5"
          }
        ]
      },
      "Manager": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "6"
          }
        ]
      },
      "Lead": {
        "table": "xuserrole",
        "identity": "userid",
        "conditions": [
          {
            "column": "roleid",
            "operator": "=",
            "value": "7"
          }
        ]
      }
    }
  },
  "meta": [
    {
      "name": "identity",
      "type": "text"
    }
  ],
  "output": true
}